codebase="hhctrl.ocx#Version=4,73,8561,0"> codebase="hhctrl.ocx#Version=4,73,8561,0" > codebase="hhctrl.ocx#Version=4,73,8561,0" >
 
  PolygonMesh object

A free-form 3D mesh.

VBA class name:

AcadPolygonMesh 

Create using:

ModelSpace.AddPolygonMesh
PaperSpace.AddPolygonMesh
Block.AddPolygonMesh 

Access via:

ModelSpace.Item
PaperSpace.Item
Block.Item
SelectionSet.Item
Group.Item 

A PolygonMesh object is an M x N mesh where M represents the number of vertices in a row of the mesh and N represents the number of vertices in a column of the mesh.

A mesh can be open or closed in either or both the M and N directions. A mesh that is closed in a given direction is considered to be continuous from the last row or column on to the first row or column.

To create a PolygonMesh use the Add3DMesh method. To edit or query a PolygonMesh, use the following methods and properties:

Methods

AppendVertex

ArrayPolar

ArrayRectangular

Copy

Delete

Explode

GetBoundingBox

GetExtensionDictionary

GetXData

Highlight

Mirror

Mirror3D

Move

Rotate

Rotate3D

ScaleEntity

SetXData

TransformBy

Update

Properties

Application

Coordinate

Coordinates

Document

Handle

HasExtensionDictionary

Hyperlinks

Layer

Linetype

LinetypeScale

Lineweight

MClose

MDensity

MVertexCount

NClose

NDensity

NVertexCount

ObjectID

ObjectName

OwnerID

PlotStyleName

TrueColor

Type

Visible

Events

Modified  

 

   Comments?